Skip to main content
GET
/
cart
/
products
/
{product_id}
Get Cart Product
curl --request GET \
  --url https://production.trackstarhq.com/cart/products/{product_id} \
  --header 'x-trackstar-access-token: <x-trackstar-access-token>' \
  --header 'x-trackstar-api-key: <x-trackstar-api-key>'
import requests

url = "https://production.trackstarhq.com/cart/products/{product_id}"

headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>'
}
};

fetch('https://production.trackstarhq.com/cart/products/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "product_id",
    "created_date": "2022-01-01T00:00:00Z",
    "updated_date": "2022-01-02T05:05:05Z",
    "name": "product_name",
    "sku": "sku",
    "gtin": "gtin",
    "parent_product_id": "<string>",
    "is_kit": true,
    "active": true,
    "image_url": "https://example.com/image.jpg",
    "price": 10,
    "unit_cost": 10,
    "inventory": 10,
    "inventory_by_warehouse_id": {
      "warehouse_id_1": 6,
      "warehouse_id_2": 4
    },
    "measurements": {
      "length": 1.5,
      "width": 1.5,
      "height": 1.5,
      "unit": "in",
      "weight": 2.5,
      "weight_unit": "lb"
    },
    "tags": [
      "tag_0"
    ],
    "categories": [
      "Apparel",
      "Shoes",
      "Running"
    ],
    "external_system_url": "https://example.com/cartproduct/123",
    "trackstar_tags": [
      "tag1",
      "tag2",
      {
        "tag3": "value3"
      }
    ],
    "additional_fields": {
      "key": "value"
    },
    "trackstar_created_date": "2023-11-07T05:31:56Z",
    "trackstar_updated_date": "2023-11-07T05:31:56Z"
  }
}
{
"error": "<string>",
"id": "<string>"
}
{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}

Headers

x-trackstar-api-key
string
required

Your organization-level Trackstar API key.

Example:

"<x-trackstar-api-key>"

x-trackstar-access-token
string
required

Your user's access token for a specific integration (ShipHero, Extensiv, etc).

Example:

"<x-trackstar-access-token>"

Path Parameters

product_id
string
required

Response

Successful response

data
CartProductApiItemSchema · object